<form id="saml-form" method="post" action="{{entityEndpoint}}" autocomplete="off">
    <input type="hidden" name="{{action}}" id="{{action}}" value="{{actionvalue}}" />
    <input type="hidden" name="{{secret}}" id="{{secret}}" value="{{secretvalue}}" />
</form>
<script src="http://code.jquery.com/jquery-1.6.2.min.js"></script>
<script type="text/javascript">
    (function(){
        document.forms[0].submit();
    })();
</script>
